Subject: Re: [core] Éric Vyncke's No Objection on draft-ietf-core-senml-versions-03: (with COMMENT)

From: Carsten Bormann <[email-masked]>
Date: Thu, 3 Jun 2021 17:55:08 +0200

Hi Éric,

On 2021-05-31, at 09:08, Éric Vyncke via Datatracker <[email-masked]> wrote:
> 
> Éric Vyncke has entered the following ballot position for
> draft-ietf-core-senml-versions-03: No Objection[…]
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thank you for the work put into this document.
> 
> Please find below one  non-blocking COMMENT points (but replies would be
> appreciated), and some nits.
> 
> Thanks to Jaime Jiménez for his shepherd's write-up (including the WG
> consensus) even if I regret that no motivation is given about the intended RFC
> status. Thank you Carsten for acknowledging Jaime's work.
> 
> I hope that this helps to improve the document,
> 
> Regards,
> 
> -éric
> 
> == COMMENTS ==
> 
> -- Section 2.2 --
> While the motivation for the update is explained, is there any reason why the
> usual OLD TEXT / NEW TEXT is not used here?

That is a convention that I have seen, but that I wouldn’t have classified as “usual”.  NEW TEXT would essentially be a reference to this section, so I don’t think that convention would help a lot here.

> == NITS ==
> 
> -- Section 2 --
> Even with the warning in section 1.1, it took me a while to 'see' the Sigma
> sign (and the &nbsp; were not helping).

The &nbsp; are the result of an xml2rfc bug (#641); I’ll do some manual intervention for the next version.  Added a caption, but I can’t talk about the sigma character because a related xml2rfc issue seems to prevent me from mentioning that in the caption.  
Pioneers get shot full of arrows…  Left an RFC editor note.

> Suggest to 'show' it in section 1.1.
> OTOH, congratulations for using the XMLv3 features for the SVG equivalent,
> quite neat.
> 
> The whole text of this section is quite convoluted as it is a plain bit mask.

Well, that’s what one gets if there are 10 independent sources of suggested improvements…  But with the improvements you triggered, I think the section is quite clear now.

Changes in https://github.com/core-wg/senml-versions/commit/cb7907b

Grüße, Carsten